org.icefaces.ace.component.animation

## Class AnimationBehaviorHandler

- java.lang.Object
- - javax.faces.view.facelets.TagHandler
  - - javax.faces.view.facelets.MetaTagHandler
    - - javax.faces.view.facelets.DelegatingMetaTagHandler
      - - javax.faces.view.facelets.FaceletsAttachedObjectHandler
        - - javax.faces.view.facelets.BehaviorHandler
          - - org.icefaces.ace.component.animation.AnimationBehaviorHandlerBase
            - - org.icefaces.ace.component.animation.AnimationBehaviorHandler

- All Implemented Interfaces:
    javax.faces.view.AttachedObjectHandler, javax.faces.view.BehaviorHolderAttachedObjectHandler, javax.faces.view.facelets.FaceletHandler

      public class AnimationBehaviorHandler
      extends AnimationBehaviorHandlerBase

- - ### Field Summary

    - ### Fields inherited from class org.icefaces.ace.component.animation.AnimationBehaviorHandlerBase

      `BEHAVIOR_ID, duration, easing, effectObject, event, from, iterations, name, run, to`

    - ### Fields inherited from class javax.faces.view.facelets.DelegatingMetaTagHandler

      `delegateFactory`

    - ### Fields inherited from class javax.faces.view.facelets.TagHandler

      `nextHandler, tag, tagId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnimationBehaviorHandler(javax.faces.view.facelets.BehaviorConfig config)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `apply(javax.faces.view.facelets.FaceletContext context, javax.faces.component.UIComponent parent)`

    - ### Methods inherited from class javax.faces.view.facelets.BehaviorHandler

      `getBehaviorId, getEvent, getEventName, getTagHandlerDelegate`

    - ### Methods inherited from class javax.faces.view.facelets.FaceletsAttachedObjectHandler

      `applyAttachedObject, getAttachedObjectHandlerHelper, getFor`

    - ### Methods inherited from class javax.faces.view.facelets.DelegatingMetaTagHandler

      `applyNextHandler, createMetaRuleset, getBinding, getTag, getTagAttribute, getTagId, isDisabled, setAttributes`

    - ### Methods inherited from class javax.faces.view.facelets.TagHandler

      `getAttribute, getRequiredAttribute, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.view.AttachedObjectHandler

      `applyAttachedObject, getFor`

- - ### Constructor Detail

    - #### AnimationBehaviorHandler

          public AnimationBehaviorHandler(javax.faces.view.facelets.BehaviorConfig config)

  - ### Method Detail

    - #### apply

          public void apply(javax.faces.view.facelets.FaceletContext context,
                            javax.faces.component.UIComponent parent)
                     throws java.io.IOException

      Specified by:
        `apply` in interface `javax.faces.view.facelets.FaceletHandler`
      Overrides:
        `apply` in class `javax.faces.view.facelets.DelegatingMetaTagHandler`
      Throws:
        `java.io.IOException`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.